XOSD(1)

NAME
xosd-config - script to get information about the installed version of libxosd

SYNOPSIS
xosd-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

xosd-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use libxosd. It is also used internally to the .m4 macros for GNU autoconf that are included with libxosd.

OPTIONS
xosd-config accepts the following options:

--version
    Print the currently installed version of libxosd on the standard output.

--libs
    Print the linker flags that are necessary to link a libxosd program.

--cflags
    Print the compiler flags that are necessary to compile a libxosd program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libxosd was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libxosd was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

COPYRIGHT
Copyright © 1998 Owen Taylor Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This manual page was adapted by Philipp Hahn <pmhahn@titan.lahn.de>, for the Debian GNU/Linux system (but may be used by others).